- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QWSEvent Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qwsevent_qws.h.

`#include <qwsevent_qws.h>`

Inheritance diagram for QWSEvent:
[legend]

List of all members.

## Public Types
enum | Type { NoEvent, Connected, Mouse, Focus, Key, Region, Creation, PropertyNotify, PropertyReply, SelectionClear, SelectionRequest, SelectionNotify, MaxWindowRect, QCopMessage, WindowOperation, IMEvent, IMQuery, IMInit, Embed, Font, ScreenTransformation, NEvent }
## Public Member Functions
| QWSEvent (int t, int len, char *ptr)
QWSMouseEvent * | asMouse ()
int | window ()
int | window () const
## Static Public Member Functions
static QWSEvent * | factory (int type)

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  NoEvent | Search for all occurrences
  Connected | Search for all occurrences
  Mouse | Search for all occurrences
  Focus | Search for all occurrences
  Key | Search for all occurrences
  Region | Search for all occurrences
  Creation | Search for all occurrences
  PropertyNotify | Search for all occurrences
  PropertyReply | Search for all occurrences
  SelectionClear | Search for all occurrences
  SelectionRequest | Search for all occurrences
  SelectionNotify | Search for all occurrences
  MaxWindowRect | Search for all occurrences
  QCopMessage | Search for all occurrences
  WindowOperation | Search for all occurrences
  IMEvent | Search for all occurrences
  IMQuery | Search for all occurrences
  IMInit | Search for all occurrences
  Embed | Search for all occurrences
  Font | Search for all occurrences
  ScreenTransformation | Search for all occurrences
  NEvent | Search for all occurrences

Reimplemented in QWSRegionEvent, and QWSEmbedEvent.

Definition at line 65 of file qwsevent_qws.h.

                  {
            NoEvent,
            Connected,
            Mouse,
            Focus,
            Key,
            Region,
            Creation,
            PropertyNotify,
            PropertyReply,
            SelectionClear,
            SelectionRequest,
            SelectionNotify,
            MaxWindowRect,
            QCopMessage,
            WindowOperation,
            IMEvent,
            IMQuery,
            IMInit,
            Embed,
            Font,
            ScreenTransformation,
            NEvent
        };

## Constructor & Destructor Documentation

QWSEvent | ( | int | t,
|  | int | len,
|  | char * | ptr
| ) |  | `[inline]`

Definition at line 61 of file qwsevent_qws.h.

    : QWSProtocolItem(t,len,ptr) {}

## Member Function Documentation

QWSMouseEvent* asMouse | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 90 of file qwsevent_qws.h.

            { return type == Mouse ? reinterpret_cast<QWSMouseEvent*>(this) : 0; }

int window | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 92 of file qwsevent_qws.h.

    { return *(reinterpret_cast<int*>(simpleDataPtr)); }

int window | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 93 of file qwsevent_qws.h.

    { return *(reinterpret_cast<int*>(simpleDataPtr)); }

static QWSEvent* factory | ( | int | type | ) | `[static]`

Search for all occurrences

The documentation for this struct was generated from the following file:

- QtGui/qwsevent_qws.h